% Example for reading a netcdf file
% in Matlab and Octave

% open netcdf file example.nc in read-only
nc = netcdf('example.nc','r');                      

% retrieve the netcdf variable temp
temp = nc{'temp'}(:)';                                

% retrieve the attribute units of variable temp
temp_units = nc{'temp'}.units;                      

% retrieve the attribute valid_range of variable temp
temp_valid_range = nc{'temp'}.valid_range;          

% retrieve the global attribute history
global_history = nc.history;                         

close(nc)